# Add a Receive User

You will have to create an individual or business receive user who will receive the funds. In order to enable receive capabilities to a user, you need to create a user with "type": "RECEIVE".&#x20;

Receive users will be linked to a particular send user and only users in destination corridors enabled for you can have receive capabilities.&#x20;

#### `POST /users`

{% tabs %}
{% tab title="Request Sample" %}
**Individual Receive User**

```
curl --location --request POST '{{url}}/users \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "first_name": "Edmund",
    "middle_name": "",
    "last_name": "Hillary",
    "email":"ednund.hillary@test.com",
    "gender": "male",
    "date_of_birth":"2000-01-01",
    "mobile_phone": "9879879870",
    "address_line1": "500 El Camino Real Santa Clara",
    "city": "Santa Clara",
    "zipcode": "95053",
    "state": "CA",
    "country":"US",
    "business":false,
    "occupation":"Engineer",
    "ip_address":"10.0.0.1",
    "user_relationship": "BROTHER",
    "send_user_id":UUID,
    "type":"RECEIVE"
}'
```

**Business Receive User**

```
curl --location --request POST '{{url}}/users \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "first_name": "Everest pvt Ltd",
    "middle_name": null,
    "last_name": null,
    "mobile_phone": "5433456478",
    "address_line1": "Cra.23 No.20B-01, El Retiro",
    "city": "Antioquia",
    "zipcode": "95053",
    "country": "CO",
    "send_user_id": {{UUID}},
    "type": "RECEIVE",
    "business": true,
    "virtual_documents": [
        {
            "document_value": "12345",
            "document_type": "EIN_NUMBER"
        }
    ]
}'

```

{% endtab %}

{% tab title="Response Sample" %}
**Individual Receive User**

```
{
    "address_line1": "500 El Camino Real Santa Clara",
    "business": false,
    "city": "Santa Clara",
    "country": "US",
    "date_of_birth": "2000-01-01",
    "email": "edmund.hillary@test.com",
    "first_name": "edmund",
    "gender": "male",
    "id": "23a1f436-f75c-4c9c-9563-7812f9bcc135",
    "ip_address": "10.0.0.1",
    "last_name": "hillary",
    "middle_name": "",
    "mobile_phone": "9879879870",
    "occupation": "Engineer",
    "state": "CA",
    "status": "UNVERIFIED",
    "tier": 0,
    "type": "RECEIVE",
    "user_relationship": "BROTHER",
    "zipcode": "95053"
}
```

**Business Receive User**

```
{
    "address_line1": "Cra.23 No.20B-01, El Retiro",
    "city": "Antioquia",
    "country": "CO",
    "created_at": "2022-05-12T08:40:22.309626",
    "first_name": "Everest pvt Ltd",
    "id": {{UUID}},
    "mobile_phone": "5433456478",
    "physical_documents": [],
    "send_user_id": {{UUID}},
    "status": "UNVERIFIED",
    "virtual_documents": [
        {
            "document_type": "EIN_NUMBER",
            "document_value": "12345",
            "id": {{UUID}}
        }
    ],
    "zipcode": "95053",
    "business": true,
    "type": "RECEIVE"
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/user/add-a-receive-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
